Option Explicit On 
Option Strict On

#Region " Inclusions "
Imports System.Net.Sockets
Imports Bdt.Shared.Service
Imports Bdt.Shared.Request
Imports Bdt.Shared.Response
#End Region

Namespace Bdt.Server.Service

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' Un utilisateur au sein du tunnel
    ''' </summary>
    ''' -----------------------------------------------------------------------------
    Public Class TunnelUser

#Region " Attributs "
        Protected m_uid As Integer
        Protected m_username As String
        Protected m_logon As Date
#End Region

#Region " Proprietes "
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Le user-id associ
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Public Property Uid() As Integer
            Get
                Return m_uid
            End Get
            Set(ByVal Value As Integer)
                m_uid = Value
            End Set
        End Property

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Le nom associ
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Public Property Username() As String
            Get
                Return m_username
            End Get
            Set(ByVal Value As String)
                m_username = Value
            End Set
        End Property

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' La date de login
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Public Property Logon() As Date
            Get
                Return m_logon
            End Get
            Set(ByVal Value As Date)
                m_logon = Value
            End Set
        End Property
#End Region

    End Class

End Namespace