Option Explicit On 
Option Strict On

#Region " Inclusions "
Imports System.Net
Imports System.Reflection
Imports System.Runtime.Remoting.Channels
Imports System.Runtime.Remoting.Channels.Http
#End Region

Namespace Bdt.Shared.Protocol

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' Interfance indiquant la compatibilit du protocole avec un proxy pour
    ''' le canal de communication ct client
    ''' </summary>
    ''' -----------------------------------------------------------------------------
    Public Interface IProxyCompatible

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Le proxy utilis par le canal de communication ct client
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Property Proxy() As IWebProxy

    End Interface

End Namespace
