Option Explicit On 
Option Strict On

Namespace Bdt.Shared.Request

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' Une demande d'criture
    ''' </summary>
    ''' -----------------------------------------------------------------------------
    <Serializable()> _
    Public Class WriteRequest
        Inherits GenericRequest

#Region " Attributs "
        Protected m_data As Byte()
#End Region

#Region " Proprietes "
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Les donnes  crire
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Public ReadOnly Property Data() As Byte()
            Get
                Return m_data
            End Get
        End Property
#End Region

#Region " Methodes "
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Constructeur
        ''' </summary>
        ''' <param name="uid">Le jeton utilisateur</param>
        ''' <param name="cid">Le jeton de connexion</param>
        ''' <param name="data">Les donnes  crire</param>
        ''' -----------------------------------------------------------------------------
        Public Sub New(ByVal uid As Integer, ByVal cid As Integer, ByVal data As Byte())
            MyBase.New(uid, cid)
            m_data = data
        End Sub
#End Region

    End Class

End Namespace
